import { useState, useEffect } from "react";

const getUserPreferredMode=()=>{
  if(localStorage){
    localStorage.getItem('dark-mode');
  }
}

const useDarkMode = (initialMode, className) => {
  const [isDarkMode, setIsDarkMode] = useState(getUserPreferredMode(initialMode));

  useEffect(() => {
    if (isDarkMode) {
      document.body.classList.add(className);
    } else {
      document.body.classList.remove(className);
    }
  }, [isDarkMode]);

  return [isDarkMode, setIsDarkMode];
};

export default useDarkMode;
